# Update a book transfer

**PATCH** `/transfers/book/{book_transfer_id}`

Update a book transfer by its ID. Transfer must be in a "hold" state. Only the `amount` can be updated.

### Path Parameters

- `book_transfer_id` `string` _(required)_ — Unique identifier for the book transfer.

### Body Parameters

- `allow_overdraft` `boolean` — Allow the account to go negative for the transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it.
- `amount` `number` _(required)_ — Updated amount (in cents) of the funds that will be transferred.
- `currency_code` `string` _(required)_ — The three-letter currency code defined in ISO 4217. e.g. `USD`.

**Request**

```shell
curl 'https://api.column.com/transfers/book/<book_transfer_id>' \
  -XPATCH \
  -u :<YOUR API KEY> \
  -d amount=15000 \
  -d currency_code="USD"
```

**Response 200**

```json
{
  "id": "",
  "created_at": "2021-11-29T20:22:41.596Z",
  "updated_at": "2021-11-29T20:22:41.596Z",
  "idempotency_key": "",
  "sender_bank_account_id": "",
  "sender_account_number_id": "",
  "receiver_bank_account_id": "",
  "receiver_account_number_id": "",
  "amount": 0,
  "currency_code": "",
  "description": "",
  "status": "NONE",
  "allow_overdraft": true
}
```
